import request from '@/utils/request'

// 查询企微群聊数据统计数据列表
export function listStatistic(query) {
  return request({
    url: '/qw/statistic/list',
    method: 'get',
    params: query
  })
}

// 查询企微群聊数据统计数据详细
export function getStatistic(id) {
  return request({
    url: '/qw/statistic/' + id,
    method: 'get'
  })
}

// 新增企微群聊数据统计数据
export function addStatistic(data) {
  return request({
    url: '/qw/statistic',
    method: 'post',
    data: data
  })
}

// 修改企微群聊数据统计数据
export function updateStatistic(data) {
  return request({
    url: '/qw/statistic',
    method: 'put',
    data: data
  })
}

// 删除企微群聊数据统计数据
export function delStatistic(id) {
  return request({
    url: '/qw/statistic/' + id,
    method: 'delete'
  })
}

// 导出企微群聊数据统计数据
export function exportStatistic(query) {
  return request({
    url: '/qw/statistic/export',
    method: 'get',
    params: query
  })
}